質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.92%

facebookログイン認証について

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 1,414

kaji

score 623

facebookログイン認証について
自分でサービスを作って公開していたサービスなのですが、
基本人が来ないので気づかなかったんですが、
2ヶ月ぶりぐらいにfacebookログイン認証をつかったところ以下エラーになっていました。

ClientException in RequestException.php line 107: Client error: `GET https://graph.facebook.com/v2.6/me?access_token=&fields=name,email,gender,verified&appsecret_proof=[何かのハッシュ]` resulted in a `400 Bad Request` response:
{"error":{"message":"An active access token must be used to query information about the current user.","type":"OAuthExce (truncated...)

callbackの$facebook = $this->socialite->driver('facebook')->user();のところでエラーとなるようです。

エラーメッセージで検索したのですが、昔の情報が引っかかるぐらいで、それらしい情報はありませんでした。
facebook開発ページでアプリを確認したところ1024アイコンが必須?になってるのとcallbackurlが必須?にになってるようだったので、
追加してみましたが、同様のエラーでした。
An active access token must be usedとあったので、アクティブになってないのかと思いましたが、
facebook開発のアプリページでは緑色の点が表示されており公開状態となってます。

以下は正常に値が入ってました。
laravel/config/services.php

   'facebook' => [
       'client_id'     => env('FACEBOOK_ID'),
       'client_secret' => env('FACEBOOK_SECRET'),
       'redirect'      => env('FACEBOOK_CALLBACKURL'),
    ],
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

socialiteの実装を確認したわけではないですが、おそらくFacebookSDK2.2の使用期限切れによるものでしょう。
https://developers.facebook.com/docs/apps/changelog?locale=ja_JP

お使いになられているsocialiteのバージョンはわからないですが、SDKの期限切れに伴うバージョンアップ対応がされているはずですので、socialiteのバージョンをupdateされると解決されるはずです。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/04/20 16:16

    ありがとうございます。composer updateしたら正常に動作するようになりました。

    キャンセル

  • 2017/04/20 16:17

    laravel/socialiteはv2.0.18からv2.0.21へなりました。

    キャンセル

  • 2017/04/20 16:23 編集

    なるほど。今確認しましたがv2.0.21でv2.2→v2.3(アクセストークンのフォーマット変更)対応されてますね
    https://github.com/laravel/socialite/commit/c4e4337e5b70149fdbefbb95b2c9e93d0749c413

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.92%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る